Set Tournament Sim Visibility
curl --request POST \
--url https://softmax.com/api/observatory/v2/leagues/{league_id}/tournament-sim-access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://softmax.com/api/observatory/v2/leagues/{league_id}/tournament-sim-access"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://softmax.com/api/observatory/v2/leagues/{league_id}/tournament-sim-access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowed": true,
"is_owner": true,
"visibility": "owner"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}v2
Set Tournament Sim Visibility
League-owner-only: open the page to participants, or restrict it again.
POST
/
v2
/
leagues
/
{league_id}
/
tournament-sim-access
Set Tournament Sim Visibility
Authorizations
Bearer token issued by Softmax
Path Parameters
Pattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Body
application/json
Available options:
owner, participants